Apache C++ Standard Library Reference Guide

## <stack>

Library: Containers

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<stack>` is part of the Containers library of the Standard C++ Library. It defines the container adaptor class template stack, and a set of relational operators that C++ programs may use to perform equality and inequality tests on specializations of stack.

### Synopsis

    namespace std {
      template <class T, class Container = deque<T> >
      class stack;

      template <class T, class Container>
      bool operator==(const stack<T, Container>&,
                      const stack<T, Container>&);

      template <class T, class Container>
      bool operator<(const stack<T, Container>&,
                     const stack<T, Container>&);

      template <class T, class Container>
      bool operator!=(const stack<T, Container>&,
                      const stack<T, Container>&);

      template <class T, class Container>
      bool operator>(const stack<T, Container>&,
                     const stack<T, Container>&);

      template <class T, class Container>
      bool operator>=(const stack<T, Container>&,
                      const stack<T, Container>&);

      template <class T, class Container>
      bool operator<=(const stack<T, Container>&,
                      const stack<T, Container>&);
    }

### See Also

stack, Containers

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 23.2